**IMPORTANT: Please do not create a Pull Request without creating an issue first!**

_(Any change needs to be discussed before proceeding. Failure to do so may result in the rejection of the pull request)._

### Summary

<!-- Please provide enough information so that others can review your pull request. -->
<!-- For more information, see the CONTRIBUTING.md guide. -->

_Explains the information and/or motivation for making this changes..._


### Proposed of changes

This PR fixes/implements the following **bugs/features**:

- Bug 1
- Bug 2
- Feature 1
- Feature 2
- Breaking changes

<!-- What existing problem does the pull request solve? -->

### How has this been tested?

Proof:

<!-- Demonstrate the code is solid. Example: The exact commands you ran and their output or/ screenshots. -->

### Closing issues

Fixes #

### Checklist:

<!--- Go over all the following points, and put an `x` in all the boxes that apply. -->
<!--- If you're unsure about any of these, don't hesitate to ask. We're here to help! -->

- [ ] My code follows the code style of this project.
- [ ] I have followed the guidelines in our [CONTRIBUTING.md](/.github/CONTRIBUTING.md) document.
- [ ] My changes is cross-platform compatible (run `make build-all`).
- [ ] My changes successfully ran and pass linters locally (run `make lint`).
<!-- - [ ] I have written new tests for my changes.
  - [ ] My changes successfully ran and pass tests locally. -->
- [ ] My change requires a change to the documentation.
  - [ ] I have updated the documentation accordingly.